<!-- GENERATED BY A EUPHORIA PROGRAM. DO NOT EDIT! -->


<html>
<head><title>What to Do?</title>
<style type="text/css">
<!--
body        {background-color: "#FFFFFF";}
a           {text-decoration: none;}
a:link      {color: "#0033BB"; text-decoration: underline;}
a:visited   {color: "#006699"; text-decoration: underline;}
a:active    {color: red; text-decoration: underline;}
a:hover     {color: red; text-decoration: underline;}
a.blue    {text-decoration: none;}
a.blue:link      {color: "#5500FF"; text-decoration: underline;}
a.blue:visited   {color: "#5500FF"; text-decoration: underline;}
a.blue:active    {color: red; text-decoration: underline;}
a.blue:hover     {color: red; text-decoration: underline;}
a.brown      {text-decoration: none;}
a.brown:link      {color: "#993333"; text-decoration: underline;}
a.brown:visited   {color: "#993333"; text-decoration: underline;}
a.brown:active    {color: red; text-decoration: underline;}
a.brown:hover     {color: red; text-decoration: underline;}
-->
</style>

</head>
<body bgcolor="#FFFFFF" link="#0033BB" vlink="#006699">
<table width=90% border=0><tr><td>

<center><font face="Arial, Helvetica" color="#FF0099" size=+2>
<br>
 What to Do?
</font></center>
<p>&nbsp;<br>
<font face="Arial, Helvetica" color="#003366">
<b>Now that you have installed Euphoria, here are some things you
 can try:</b></font>

<ul>
<li>
 Run each of the demo programs in the <font color="#5500FF"><b>demo</b></font>
 directory. You just type <font color="#993333"><b>ex</b></font> or
 <font color="#993333"><b>exw</b></font> or
 <font color="#993333"><b>exu</b></font> followed by the name of the
 <b>.ex</b> or <b>.exw</b> or <b>.exu</b> file, e.g.

<pre>
           ex buzz
</pre>

 will run the file <font color="#5500FF"><b>buzz.ex</b></font>. Depending
 on your graphics card you may have to edit a line in some of the <b>.ex</b>
 files to select a different graphics mode. Some demos try to use
 <b>SVGA</b> modes, which might not work with your video card. 
 You need DOS mouse support to run
 <font color="#5500FF"><b>mouse.ex</b></font> and
 <font color="#5500FF"><b>ttt.ex</b></font>).
<p>
 You can also double-click on a <b>.ex</b> (<b>.exw</b>) file
 from <font color="#CC3366"><b>Windows</b></font>, but you will 
 have to "associate" <b>.ex</b> files with
 <font color="#993333"><b>ex.exe</b></font> and <b>.exw</b> files with
 <font color="#993333"><b>exw.exe</b></font>. A few of the demos are meant
 to be run from the command line, but most will look ok from Windows.
<p>
<li>
 Use the Euphoria editor, <font color="#993333"><b>ed</b></font>, to edit a
 Euphoria file. Notice the use of
 colors. <b><font color="#006633">You can adjust these colors along with
 the cursor size and many other "user-modifiable" parameters by editing
 constant declarations in</font>
 <font color="#5500FF">ed.ex</font><font color="#006633">.</font></b>
 Use <b>Esc q</b> to quit the editor or <b>Esc h</b> for help.
 There are several, even better, Euphoria-oriented editors in the Archive.
<p>
<li>
 Create some new benchmark tests. See <font color="#5500FF"><b>
 demo\bench</b></font>. Do you get the same speed ratios as we did
 in comparison with other popular languages?

<p>
<li>
 Read the manual in <font color="#5500FF"><b>doc\refman.doc</b></font> or 
 <a href="refman.htm"><b>view the HTML version of the manual</b></a> by
 double-clicking it and starting your Web browser. The simple expressive
 power of Euphoria makes this manual much shorter than manuals for other
 languages. If you have a specific question, type
 <font color="#993333"><b>guru</b></font> followed by a list of words.
 The <font color="#993333"><b>guru</b></font> program will search all the
 <b>.doc</b> files as well as all the example programs and other files,
 and will present you with a <i>sorted</i> list of the most
 relevant chunks of text that might answer your enquiry.
<p>
<li>
 Try running a Euphoria program with
 <font color="#993333"><b>tracing</b></font> turned on. Add:
<pre><font color="#0000FF">           with </font><font color="#FF00FF">trace</font>
<font color="#FF00FF">           trace</font><font color="#330033">(1)</font>
</pre>

 at the beginning of any <b>.ex</b> or <b>.exw</b> file.
<p>
<li>
 Run some of the tutorial programs in
 <font color="#5500FF"><b>euphoria\tutorial</b></font>.
<p>
<li>
 Try modifying some of the demo programs.
<p>
 First some <font color="#009999"><b><i>simple</i></b></font> modifications
 (takes less than a minute):
 <blockquote>
 <p>
 What if there were 100 C++ ships in
 <font color="#5500FF"><b>Language Wars</b></font>? What if
 <font color="#5500FF"><b>sb.ex</b></font> had to move 1000 balls
 instead of 125? Change some parameters in
 <font color="#5500FF"><b>polygon.ex</b></font>. Can you get prettier
 pictures to appear? Add some funny phrases to
 <font color="#5500FF"><b>buzz.ex</b></font>.
 </blockquote>
 <p>

 Then, some <font color="#009999"><b><i>slightly harder</i></b></font> ones
 (takes a few minutes):
 <blockquote>
 <p>
 Define a new function of x and y in
 <font color="#5500FF"><b>plot3d.ex</b></font>.
 </blockquote>
 <p>
 
 Then a <font color="#009999"><b><i>challenging</i></b></font> one
 (takes an hour or more):
 <blockquote>
 <p>
 Set up your own customized database by defining the 
 fields in <font color="#5500FF"><b>mydata.ex</b></font>.
 </blockquote>
 <p>

 Then a <font color="#009999"><b><i>major</i></b></font> project
 (several days or weeks): 
 <blockquote>
 <p>
 Write a <i>smarter</i> 3D TicTacToe algorithm.
 </blockquote>

<p>
<li>
 Try writing your own program in Euphoria. A program can be as simple as:

<pre><font color="#330033">           ? 2+2</font>
</pre>

 <font color="#006633"><b>Remember that after any error you can simply
 type</b></font> <font color="#993333"><b>ed</b></font>
 <font color="#006633"><b>to jump into the editor at the offending file
 and line.</b></font>
<p>
 Once you get used to it, you'll be developing programs
 <font color="#CC0099"><b><i>much</i></b></font> faster in
 Euphoria than you could in Perl, Java, C/C++ or any other
 language that we are aware of.

</ul>

<p>&nbsp;

</td></tr></table>

</body>
</html>

